Breadcrumbs

Metavault API - Get pit table

GetPitTable - GET

Path

/api/projects/{projectId}/model/hubs/{hubId}/pit_tables/{pitTableId}

Http Method

GET

Overview

Required permissions

  • Read access to the Build module. BUILD read

Response

Success response (200 OK)

JSON
{
  "id": "c3e11932-4979-4617-b6d3-c7f4f01a3ee2",
  "name": "employee_sn01",
  "description": "My description",
  "satellites": [
    {
      "satelliteId": "27d589a3-6333-4d23-b86f-8be4429e15c7",
      "pitTableId": "c3e11932-4979-4617-b6d3-c7f4f01a3ee2",
      "id": "4847daab-4a5f-4d1b-9896-73021e20e915"
    },
    {
      "satelliteId": "02bffe26-e238-4649-bf81-fb65baddbe53",
      "pitTableId": "c3e11932-4979-4617-b6d3-c7f4f01a3ee2",
      "id": "5b8e56e3-b770-4754-81f8-fb03073d84e2"
    },
    {
      "satelliteId": "b0fb8107-f479-4a3a-a0fb-d37057c3ec20",
      "pitTableId": "c3e11932-4979-4617-b6d3-c7f4f01a3ee2",
      "id": "68179688-7dcd-4ecb-a9fb-5014b6b74476"
    }
  ],
  "parentType": "Hub"
}